import { IsNotEmpty, IsOptional, IsUUID } from 'class-validator';
import { UUID } from 'crypto';

export class DeleteBookStatusDto {
  @IsUUID()
  @IsNotEmpty()
  readonly bookId: UUID;

  @IsUUID()
  @IsNotEmpty()
  @IsOptional()
  readonly userId: UUID;
}