import { Controller, Get } from '@nestjs/common';
import { AppService } from './app.service';
import { UsersService } from './users/users.service';

@Controller()
export class AppController {
  constructor(private readonly appService: AppService, private readonly users: UsersService) {}

  @Get()
  async getHello(): Promise<string> {
    return this.appService.getHello();
  }
}