import { Controller, Request, Get } from '@nestjs/common';
import { AppConfig } from './app-config';

@Controller('asset')
export class ConfigController {
  @Get('config')
  async config(
    @Request() req,
  ) {
    return {
      success: true,
      config: AppConfig
    };
  }
}
